import CJS_COMPAT_NODE_URL_s11o0jfroy from 'node:url';
import CJS_COMPAT_NODE_PATH_s11o0jfroy from 'node:path';
import CJS_COMPAT_NODE_MODULE_s11o0jfroy from "node:module";

var __filename = CJS_COMPAT_NODE_URL_s11o0jfroy.fileURLToPath(import.meta.url);
var __dirname = CJS_COMPAT_NODE_PATH_s11o0jfroy.dirname(__filename);
var require = CJS_COMPAT_NODE_MODULE_s11o0jfroy.createRequire(import.meta.url);

// ------------------------------------------------------------
// end of CJS compatibility banner, injected by Storybook's esbuild configuration
// ------------------------------------------------------------
import {
  getAutomockCode
} from "../../../../_node-chunks/chunk-457QEF4G.js";
import {
  babelParser
} from "../../../../_node-chunks/chunk-SFKYNMGL.js";
import "../../../../_node-chunks/chunk-BF76L6OZ.js";
import {
  __name
} from "../../../../_node-chunks/chunk-NBAGJPS7.js";

// src/core-server/presets/webpack/loaders/webpack-automock-loader.ts
function webpackAutomockLoader(source) {
  const options = this.getOptions();
  const isSpy = options.spy === "true";
  const mocked = getAutomockCode(source, isSpy, babelParser);
  return mocked.toString();
}
__name(webpackAutomockLoader, "webpackAutomockLoader");
export {
  webpackAutomockLoader as default
};
